Bug 1359605 - [RFE] Simplify Non Root Geo-replication Setup
Summary: [RFE] Simplify Non Root Geo-replication Setup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Aravinda VK
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On: 1343333
Blocks: 1351503
TreeView+ depends on / blocked
 
Reported: 2016-07-25 06:41 UTC by Aravinda VK
Modified: 2017-03-23 05:40 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1343333
Environment:
Last Closed: 2017-03-23 05:40:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC
Red Hat Bugzilla 1365833 None None None Never

Internal Links: 1365833

Description Aravinda VK 2016-07-25 06:41:22 UTC
+++ This bug was initially created as a clone of Bug #1343333 +++

Description of problem:
Simplify the Non root user Geo-rep setup steps

--- Additional comment from Vijay Bellur on 2016-06-07 03:35:42 EDT ---

REVIEW: http://review.gluster.org/14544 (geo-rep: Simplify Non root user(mountbroker) Setup) posted (#2) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 2 Atin Mukherjee 2016-08-09 05:09:20 UTC
Upstream mainline patch http://review.gluster.org/14544 posted for review.

Comment 4 Atin Mukherjee 2016-09-18 06:20:00 UTC
Upstream mainline : http://review.gluster.org/14544
Upstream 3.9 : Available as part of branching to mainline
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/84801/

Comment 7 Rahul Hinduja 2016-11-16 17:06:34 UTC
Verified with build: glusterfs-geo-replication-3.8.4-5.el7rhgs.x86_64

Able to create the geo-rep setup using new cli: gluster-mountbroker 

gluster-mountbroker takes care of setting the necessary selinux rules, permissions, creation of directory and updating glusterd.vol files. This simplifies the existing way of setting up non root geo-rep. 

Moving this bug to verified state, new issues will be raised separately to triage and track.

Comment 10 errata-xmlrpc 2017-03-23 05:40:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.